Index: /branches/version-2_5-dev/html/entry/email_mobile.php
===================================================================
--- /branches/version-2_5-dev/html/entry/email_mobile.php	(revision 19870)
+++ /branches/version-2_5-dev/html/entry/email_mobile.php	(revision 19870)
@@ -0,0 +1,39 @@
+<?php
+/**
+ *
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ 
+ *
+ * モバイルサイト/空メール会員登録
+ */
+
+// {{{ requires
+require_once("../require.php");
+require_once(CLASS_EX_REALDIR . "page_extends/entry/LC_Page_Entry_EmailMobile_Ex.php");
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Entry_EmailMobile_Ex();
+register_shutdown_function(array($objPage, "destroy"));
+$objPage->init();
+$objPage->process();
+?>
Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19865)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19870)
@@ -573,19 +573,20 @@
 INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 20, 'ご利用規約', 'entry/kiyaku.php', NULL, NULL, 'entry/kiyaku', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 21, '会員登録(完了ページ)', 'entry/complete.php', NULL, NULL, 'entry/complete', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 22, '特定商取引に関する法律に基づく表記', 'order/index.php', NULL, NULL, 'order/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 23, '本会員登録(完了ページ)', 'regist/complete.php', NULL, NULL, 'regist/complete', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 24, '商品購入/ログイン', 'shopping/index.php', NULL, NULL, 'shopping/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 25, '商品購入/お届け先の指定', 'shopping/deliv.php', NULL, NULL, 'shopping/deliv', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 26, '商品購入/お届け先の複数指定', 'shopping/multiple.php', NULL, NULL, 'shopping/multiple', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 27, '商品購入/お支払方法・お届け時間等の指定', 'shopping/payment.php', NULL, NULL, 'shopping/payment', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 28, '商品購入/ご入力内容のご確認', 'shopping/confirm.php', NULL, NULL, 'shopping/confirm', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 29, '商品購入/ご注文完了', 'shopping/complete.php', NULL, NULL, 'shopping/complete', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 30, '非対応デバイス', 'unsupported/index.php', NULL, NULL, 'unsupported/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 31, 'ご利用ガイド', 'guide/index.php', NULL, NULL, 'guide/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 32, 'ご利用ガイド/ご利用方法', 'guide/usage.php', NULL, NULL, 'guide/usage', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 33, 'ご利用ガイド/プライバシーポリシー', 'guide/privacy.php', NULL, NULL, 'guide/privacy', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 34, 'ご利用ガイド/通信料について', 'guide/charge.php', NULL, NULL, 'guide/charge', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 35, 'ご利用ガイド/ご利用規約', 'guide/kiyaku.php', NULL, NULL, 'guide/kiyaku', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 36, 'ご利用ガイド/運営会社紹介', 'guide/about.php', NULL, NULL, 'guide/about', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 22, '携帯メール登録', 'entry/email_mobile.php', NULL, NULL, 'entry/email_mobile', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 23, '特定商取引に関する法律に基づく表記', 'order/index.php', NULL, NULL, 'order/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 24, '本会員登録(完了ページ)', 'regist/complete.php', NULL, NULL, 'regist/complete', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 25, '商品購入/ログイン', 'shopping/index.php', NULL, NULL, 'shopping/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 26, '商品購入/お届け先の指定', 'shopping/deliv.php', NULL, NULL, 'shopping/deliv', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 27, '商品購入/お届け先の複数指定', 'shopping/multiple.php', NULL, NULL, 'shopping/multiple', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 28, '商品購入/お支払方法・お届け時間等の指定', 'shopping/payment.php', NULL, NULL, 'shopping/payment', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 29, '商品購入/ご入力内容のご確認', 'shopping/confirm.php', NULL, NULL, 'shopping/confirm', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 30, '商品購入/ご注文完了', 'shopping/complete.php', NULL, NULL, 'shopping/complete', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 31, '非対応デバイス', 'unsupported/index.php', NULL, NULL, 'unsupported/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 32, 'ご利用ガイド', 'guide/index.php', NULL, NULL, 'guide/index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 33, 'ご利用ガイド/ご利用方法', 'guide/usage.php', NULL, NULL, 'guide/usage', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 34, 'ご利用ガイド/プライバシーポリシー', 'guide/privacy.php', NULL, NULL, 'guide/privacy', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 35, 'ご利用ガイド/通信料について', 'guide/charge.php', NULL, NULL, 'guide/charge', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 36, 'ご利用ガイド/ご利用規約', 'guide/kiyaku.php', NULL, NULL, 'guide/kiyaku', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 37, 'ご利用ガイド/運営会社紹介', 'guide/about.php', NULL, NULL, 'guide/about', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 
 INSERT INTO dtb_payment (payment_id, payment_method, charge, rule, rank, note, fix, status, del_flg, creator_id, create_date, update_date, payment_image, upper_rule, charge_flg, rule_min, upper_rule_max, module_id, module_path, memo01, memo02, memo03, memo04, memo05, memo06, memo07, memo08, memo09, memo10) VALUES (1, 'クレジット', 0, NULL, 5, NULL, 2, 1, 0, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/email_mobile.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/email_mobile.tpl	(revision 19870)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/email_mobile.tpl	(revision 19870)
@@ -0,0 +1,48 @@
+<!--{*
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+*}-->
+<div align="center">携帯メール登録</div>
+<hr>
+<!--{$tpl_name|h}-->様<br>
+いつもご利用いただきありがとうございます。ご使用の携帯電話のメールアドレスをご登録下さい。<br>
+<br>
+<!--{assign var=key value='email_mobile'}-->
+<form method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+▼メールアドレス<br>
+<font color="#ff0000"><!--{$arrErr[$key]|default:''}--></font>
+<input type="text" name="email_mobile" value="<!--{$arrForm[$key].value|h}-->" size="40" maxlength="<!--{$arrForm[$key].length}-->" istyle="3"><br>
+<center><input type="submit" value="送信"></center>
+<center><a href="../mypage/<!--{$smarty.const.DIR_INDEX_URL}-->" accesskey="0">今は登録しない</a></center>
+</form>
+
+<br>
+<hr>
+
+<a href="<!--{$smarty.const.MOBILE_CART_URL_PATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
+<a href="<!--{$smarty.const.MOBILE_TOP_URL_PATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
+
+<br>
+
+<!-- ▼フッター ここから -->
+<!--{include file='footer.tpl'}-->
+<!-- ▲フッター ここまで -->
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/email_mobile_complete.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/email_mobile_complete.tpl	(revision 19870)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/email_mobile_complete.tpl	(revision 19870)
@@ -0,0 +1,39 @@
+<!--{*
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+*}-->
+<div align="center">携帯メール登録完了</div>
+<hr>
+
+携帯電話のメールアドレスの登録が完了いたしました。<br>
+
+<br>
+<hr>
+
+<a href="<!--{$smarty.const.MOBILE_CART_URL_PATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
+<a href="<!--{$smarty.const.MOBILE_TOP_URL_PATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
+
+<br>
+
+<!-- ▼フッター ここから -->
+<!--{include file='footer.tpl'}-->
+<!-- ▲フッター ここまで -->
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 19870)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 19870)
@@ -0,0 +1,145 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_REALDIR . "pages/LC_Page.php");
+
+/**
+ * 携帯メールアドレス登録のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: $
+ */
+class LC_Page_Entry_EmailMobile extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
+        $objCustomer = new SC_Customer;
+        $objFormParam = new SC_FormParam;
+
+        $this->lfInitParam($objFormParam);
+
+        if ($_SERVER['REQUEST_METHOD'] == 'POST') {
+            $objFormParam->setParam($_POST);
+            $objFormParam->convParam();
+            $this->arrErr = $this->lfCheckError($objFormParam, $objCustomer);
+
+            if (empty($this->arrErr)) {
+                $this->lfRegister($objFormParam, $objCustomer);
+                $this->tpl_mainpage = 'entry/email_mobile_complete.tpl';
+                $this->tpl_title = '携帯メール登録完了';
+            }
+        }
+
+        $this->tpl_name = $objCustomer->getValue('name01');
+        $this->arrForm = $objFormParam->getFormParamList();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+
+    function lfInitParam(&$objFormParam) {
+        $objFormParam->addParam('メールアドレス', 'email_mobile', MTEXT_LEN, 'a',
+                                array('NO_SPTAB', 'EXIST_CHECK', 'MAX_LENGTH_CHECK', 'CHANGE_LOWER', 'EMAIL_CHAR_CHECK', 'EMAIL_CHECK', 'MOBILE_EMAIL_CHECK'));
+    }
+
+    function lfCheckError(&$objFormParam, &$objCustomer) {
+        $arrRet = $objFormParam->getHashArray();
+        $objErr = new SC_CheckError($arrRet);
+        $objErr->arrErr = $objFormParam->checkError();
+
+        if (count($objErr->arrErr) > 0) {
+            return $objErr->arrErr;
+        }
+
+        $email_mobile = strtolower($objFormParam->getValue('email_mobile'));
+        $customer_id = $objCustomer->getValue('customer_id');
+        $objQuery = new SC_Query();
+        // TODO ORDER BY del_flg は必要?
+        $arrRet = $objQuery->select('email, email_mobile, update_date, del_flg', 'dtb_customer', '(email = ? OR email_mobile = ?) AND customer_id <> ? ORDER BY del_flg', array($email_mobile, $email_mobile, $customer_id));
+
+        if (count($arrRet) > 0) {
+            if ($arrRet[0]['del_flg'] != '1') {
+                // 会員である場合
+                $objErr->arrErr['email_mobile'] .= '※ すでに登録されているメールアドレスです。<br>';
+            } else {
+                // 退会した会員である場合
+                $leave_time = SC_Utils_Ex::sfDBDatetoTime($arrRet[0]['update_date']);
+                $now_time = time();
+                $pass_time = $now_time - $leave_time;
+                // 退会から何時間-経過しているか判定する。
+                $limit_time = ENTRY_LIMIT_HOUR * 3600;
+                if ($pass_time < $limit_time) {
+                    $objErr->arrErr['email_mobile'] .= '※ 退会から一定期間の間は、同じメールアドレスを使用することはできません。<br>';
+                }
+            }
+        }
+
+        return $objErr->arrErr;
+    }
+
+    function lfRegister(&$objFormParam, &$objCustomer) {
+        $customer_id = $objCustomer->getValue('customer_id');
+        $email_mobile = strtolower($objFormParam->getValue('email_mobile'));
+
+        $objQuery = new SC_Query();
+        $objQuery->update('dtb_customer', array('email_mobile' => $email_mobile), 'customer_id = ?', array($customer_id));
+
+        $objCustomer->setValue('email_mobile', $email_mobile);
+    }
+}
+?>