Index: /branches/version-2_5-dev/html/user_data/packages/admin/js/file_manager.js
===================================================================
--- /branches/version-2_5-dev/html/user_data/packages/admin/js/file_manager.js	(revision 18900)
+++ /branches/version-2_5-dev/html/user_data/packages/admin/js/file_manager.js	(revision 19873)
@@ -20,9 +20,4 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
-var IMG_FOLDER_CLOSE   = "../../user_data/packages/default/img/admin/contents/folder_close.gif";		// フォルダクローズ時画像
-var IMG_FOLDER_OPEN    = "../../user_data/packages/default/img/admin/contents/folder_open.gif";		// フォルダオープン時画像
-var IMG_PLUS           = "../../user_data/packages/default/img/admin/contents/plus.gif";				// プラスライン
-var IMG_MINUS          = "../../user_data/packages/default/img/admin/contents/minus.gif";				// マイナスライン
-var IMG_NORMAL         = "../../user_data/packages/default/img/admin/contents/space.gif";				// スペース
 
 var tree = "";						// 生成HTML格納
Index: /branches/version-2_5-dev/html/install/index.php
===================================================================
--- /branches/version-2_5-dev/html/install/index.php	(revision 19859)
+++ /branches/version-2_5-dev/html/install/index.php	(revision 19873)
@@ -34,4 +34,8 @@
 require_once(DATA_REALDIR . "install.php");
 
+if(!defined("ADMIN_DIR")){
+    define("ADMIN_DIR","admin/");
+}
+
 define("INSTALL_LOG", "./temp/install.log");
 ini_set("max_execution_time", 300);
@@ -394,9 +398,4 @@
     $objPage->tpl_mainpage = 'step0.tpl';
 
-    $admin_dir = "admin/";
-    if(defined("ADMIN_DIR")){
-        $admin_dir = ADMIN_DIR;
-    }
-
     // プログラムで書込みされるファイル・ディレクトリ
     $arrWriteFile = array(
@@ -410,5 +409,5 @@
         DATA_REALDIR . "downloads/",
         DATA_REALDIR . "upload/",
-        HTML_REALDIR . $admin_dir
+        HTML_REALDIR . ADMIN_DIR
     );
 
Index: /branches/version-2_5-dev/html/install/templates/install_frame.tpl
===================================================================
--- /branches/version-2_5-dev/html/install/templates/install_frame.tpl	(revision 19802)
+++ /branches/version-2_5-dev/html/install/templates/install_frame.tpl	(revision 19873)
@@ -28,7 +28,7 @@
 <meta http-equiv="content-script-type" content="text/javascript">
 <meta http-equiv="content-style-type" content="text/css">
-<link rel="stylesheet" href="../admin/css/install.css" type="text/css" >
-<script type="text/javascript" src="<!--{$smarty.const.URL_PATH}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_PATH}-->js/navi.js"></script>
+<link rel="stylesheet" href="../<!--{$smarty.const.ADMIN_DIR}-->css/install.css" type="text/css" >
+<script type="text/javascript" src="../js/css.js"></script>
+<script type="text/javascript" src="../js/navi.js"></script>
 <title>EC CUBE インストール画面</title>
 </head>
@@ -48,5 +48,5 @@
         <table width="878" border="0" cellspacing="0" cellpadding="0" summary=" " background="img/header_bg2.jpg">
             <tr valign="top">
-                <td><img src="../<!--{$admin_dir}-->img/header/logo.jpg" width="230" height="50" alt="EC CUBE" border="0"></td>
+                <td><img src="../<!--{$smarty.const.USER_DIR}--><!--{$smarty.const.USER_PACKAGE_DIR}--><!--{$smarty.const.ADMIN_DIR}-->img/header/logo.jpg" width="230" height="50" alt="EC CUBE" border="0"></td>
                 <td width="648" align="right"></td>
             </tr>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/contents/file_manager.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/contents/file_manager.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/contents/file_manager.tpl	(revision 19873)
@@ -22,4 +22,11 @@
  */
 *}-->
+<script type="text/javascript">
+var IMG_FOLDER_CLOSE   = "<!--{$TPL_DIR}-->img/contents/folder_close.gif";		// フォルダクローズ時画像
+var IMG_FOLDER_OPEN    = "<!--{$TPL_DIR}-->img/contents/folder_open.gif";		// フォルダオープン時画像
+var IMG_PLUS           = "<!--{$TPL_DIR}-->img/contents/plus.gif";				// プラスライン
+var IMG_MINUS          = "<!--{$TPL_DIR}-->img/contents/minus.gif";				// マイナスライン
+var IMG_NORMAL         = "<!--{$TPL_DIR}-->img/contents/space.gif";				// スペース
+</script>
 <form name="form1" method="post" action="?"  enctype="multipart/form-data">
 <input type="hidden" name="mode" value="" />