Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 19887)
@@ -134,5 +134,5 @@
       <div class="tblareabtn">
         <a href="?" onclick="fnModeSubmit('return', '', ''); return false;" onmouseover="chgImg('<!--{$TPL_DIR}-->img/button/btn_back_on.gif','back')" onmouseout="chgImg('<!--{$TPL_DIR}-->img/button/btn_back.gif','back')"><img src="<!--{$TPL_DIR}-->img/button/btn_back.gif" width="150" height="30" alt="戻る" border="0" name="back" id="back" /></a>&nbsp;
-        <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/button/btn_entry_complete_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/button/btn_entry_complete.gif',this)" src="<!--{$TPL_DIR}-->img/button/btn_entry_complete.gif" class="box150" alt="送信" border="0" name="send" id="send" />
+        <input type="submit" value="送信" class="spbtn spbtn-shopping" width="130" height="30" alt="送信" name="send" id="send" />
       </div>
     </form>
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl	(revision 19887)
@@ -31,12 +31,12 @@
        <div class="tblareabtn">
        <!--{if $is_campaign}-->
-         <a href="javascript:history.back();" onmouseover="chgImg('<!--{$TPL_DIR}-->img/button/btn_entry_cannot_on.gif','b_noagree');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/button/btn_entry_cannot.gif','b_noagree');">
-           <img src="<!--{$TPL_DIR}-->img/button/btn_entry_cannot.gif" width="180" height="30" alt="同意しない" border="0" name="b_noagree" /></a>&nbsp;
+          <a href="javascript:history.back();" class="spbtn spbtn-medeum">
+                    同意しない</a>&nbsp;
        <!--{else}-->
-         <a href="<!--{$smarty.const.TOP_URL_PATH}-->" onmouseover="chgImg('<!--{$TPL_DIR}-->img/button/btn_entry_cannot_on.gif','b_noagree');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/button/btn_entry_cannot.gif','b_noagree');">
-           <img src="<!--{$TPL_DIR}-->img/button/btn_entry_cannot.gif" width="180" height="30" alt="同意しない" border="0" name="b_noagree" /></a>&nbsp;
+       <a href="<!--{$smarty.const.TOP_URL_PATH}-->" class="spbtn spbtn-medeum">
+                    同意しない</a>&nbsp;
        <!--{/if}-->
-         <a href="<!--{$smarty.const.ENTRY_URL}-->" onmouseover="chgImg('<!--{$TPL_DIR}-->img/button/btn_entry_agree_on.gif','b_agree');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/button/btn_entry_agree.gif','b_agree');">
-           <img src="<!--{$TPL_DIR}-->img/button/btn_entry_agree.gif" width="180" height="30" alt="規約に同意して会員登録" border="0" name="b_agree" /></a>
+       <a href="<!--{$smarty.const.ENTRY_URL}-->" class="spbtn spbtn-shopping">
+                    規約に同意して会員登録</a>&nbsp;
        </div>
      </form>
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/index.tpl	(revision 19807)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/entry/index.tpl	(revision 19887)
@@ -37,5 +37,5 @@
 
             <div class="tblareabtn">
-                <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/button/btn_confirm_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/button/btn_confirm.gif',this)" src="<!--{$TPL_DIR}-->img/button/btn_confirm.gif" class="box150" alt="確認ページへ" name="confirm" id="confirm" />
+            <input type="submit" value="確認ページへ" class="spbtn spbtn-shopping" width="130" height="30" alt="確認ページへ" name="confirm" id="confirm" />
             </div>
         </form>