Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19870)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19897)
@@ -812,5 +812,5 @@
 
 INSERT INTO mtb_mail_tpl_path (id, name, rank) VALUES (1, 'mail_templates/order_mail.tpl', 0);
-INSERT INTO mtb_mail_tpl_path (id, name, rank) VALUES (2, 'mobile/mail_templates/order_mail.tpl', 1);
+INSERT INTO mtb_mail_tpl_path (id, name, rank) VALUES (2, 'mail_templates/order_mail.tpl', 1);
 INSERT INTO mtb_mail_tpl_path (id, name, rank) VALUES (3, 'mail_templates/order_mail.tpl', 2);
 INSERT INTO mtb_mail_tpl_path (id, name, rank) VALUES (4, 'mail_templates/order_mail.tpl', 3);
Index: anches/version-2_5-dev/html/mobile/shopping/confirm.php
===================================================================
--- /branches/version-2_5-dev/html/mobile/shopping/confirm.php	(revision 19805)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<?php
-/**
- *
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- 
- *
- * モバイルサイト/注文確認
- */
-
-// {{{ requires
-require_once("../require.php");
-require_once(CLASS_EX_REALDIR . "page_extends/shopping/LC_Page_Shopping_Confirm_Ex.php");
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Shopping_Confirm_Ex();
-register_shutdown_function(array($objPage, "destroy"));
-$objPage->mobileInit();
-$objPage->mobileProcess();
-?>
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19868)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19897)
@@ -30,5 +30,5 @@
  * @package Page
  * @author LOCKON CO.,LTD.
- * @version $Id:LC_Page_Shopping_Confirm.php 15532 2007-08-31 14:39:46Z nanasess $
+ * @version $Id$
  */
 class LC_Page_Shopping_Confirm extends LC_Page {
@@ -70,7 +70,5 @@
      */
     function action() {
-        $objView = new SC_SiteView();
         $objCartSess = new SC_CartSession();
-        $objSiteInfo = $objView->objSiteInfo;
         $objSiteSess = new SC_SiteSession();
         $objCustomer = new SC_Customer();
@@ -115,5 +113,5 @@
         unset($arrData['deliv_fee']); // FIXME
         // 会員ログインチェック
-        if($objCustomer->isLoginSuccess()) {
+        if($objCustomer->isLoginSuccess(true)) {
             $this->tpl_login = '1';
             $this->tpl_user_point = $objCustomer->getValue('point');
@@ -172,24 +170,4 @@
 
     /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
      * Page のアクション(モバイル).
      *
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 19897)
@@ -136,5 +136,9 @@
         $arrTplVar->tpl_user_point = $objCustomer->getValue('point');
 
-        $objMailView = new SC_SiteView();
+       if(Net_UserAgent_Mobile::isMobile() === true) {
+            $objMailView = new SC_MobileView();
+       } else {
+            $objMailView = new SC_SiteView();
+       }
         // メール本文の取得
         $objMailView->assignobj($arrTplVar);
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 19835)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 19897)
@@ -34,23 +34,52 @@
 <br>
 
+【ご注文内容】<br>
+<!--{foreach from=$cartItems item=item}-->
+<!--{$item.productsClass.name|h}--><br>
+<!--{if $item.productsClass.classcategory_name1 != ""}--><!--{$item.productsClass.class_name1}-->：<!--{$item.productsClass.classcategory_name1}--><br><!--{/if}-->
+<!--{if $item.productsClass.classcategory_name2 != ""}--><!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--><br><!--{/if}-->
+&nbsp;単価：<!--{$item.productsClass.price02|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円<br>
+&nbsp;数量：<!--{$item.quantity|number_format}--><br>
+&nbsp;小計：<!--{$item.total_inctax|number_format}-->円<br>
+<br>
+<!--{/foreach}-->
+
+【購入金額】<br>
+商品合計：<!--{$tpl_total_inctax[$cartKey]|number_format}-->円<br>
+送料：<!--{$arrData.deliv_fee|number_format}-->円<br>
+<!--{if $arrData.charge > 0}-->手数料：<!--{$arrData.charge|number_format}-->円<br><!--{/if}-->
+合計：<!--{$arrData.payment_total|number_format}-->円<br>
+(内消費税：<!--{$arrData.tax|number_format}-->円)<br>
+
+<br>
+
+<!--{* 販売方法判定（ダウンロード販売のみの場合はお届け先を表示しない） *}-->
+<!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+<!--{foreach item=shippingItem from=$shipping name=shippingItem}-->
 【お届け先】<br>
-<!--{* 別のお届け先が選択されている場合 *}-->
-<!--{if $arrData.deliv_check >= 1}-->
-<!--{$arrData.deliv_name01|h}--> <!--{$arrData.deliv_name02|h}--><br>
-〒<!--{$arrData.deliv_zip01|h}-->-<!--{$arrData.deliv_zip02|h}--><br>
-<!--{$arrPref[$arrData.deliv_pref]}--><!--{$arrData.deliv_addr01|h}--><!--{$arrData.deliv_addr02|h}--><br>
-<!--{else}-->
-<!--{$arrData.order_name01|h}--> <!--{$arrData.order_name02|h}--><br>
-〒<!--{$arrData.order_zip01|h}-->-<!--{$arrData.order_zip02|h}--><br>
-<!--{$arrPref[$arrData.order_pref]}--><!--{$arrData.order_addr01|h}--><!--{$arrData.order_addr02|h}--><br>
+<!--{if $isMultiple}--><!--{* 複数お届け先の表示 *}-->
+<!--{foreach item=item from=$shippingItem.shipment_item}-->
+▼お届け先<!--{if $isMultiple}--><!--{$smarty.foreach.shippingItem.iteration}--><!--{/if}--><br>
+<!--{$item.productsClass.name|h}--><br>
+<!--{if $item.productsClass.classcategory_name1 != ""}--><!--{$item.productsClass.class_name1}-->：<!--{$item.productsClass.classcategory_name1}--><br><!--{/if}-->
+<!--{if $item.productsClass.classcategory_name2 != ""}--><!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--><br><!--{/if}-->
+数量：<!--{$item.quantity}--><br>
+<!--{/foreach}-->
 <!--{/if}-->
+
+<!--{$shippingItem.shipping_name01|h}--> <!--{$shippingItem.shipping_name02|h}--><br>
+〒<!--{$shippingItem.shipping_zip01|h}-->-<!--{$shippingItem.shipping_zip02|h}--><br>
+<!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01|h}--><!--{$shippingItem.shipping_addr02|h}--><br>
+<!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--><br>
+<!--{/foreach}-->
 
 <br>
 
 【お届け日時指定】<br>
-日：<!--{$arrData.deliv_date|default:"指定なし"|h}--><br>
-時間：<!--{$arrData.deliv_time|default:"指定なし"|h}--><br>
+日：<!--{$shippingItem.deliv_date|default:"指定なし"|h}--><br>
+時間：<!--{$shippingItem.deliv_time|default:"指定なし"|h}--><br>
 
 <br>
+<!--{/if}-->
 
 【お支払い方法】<br>
@@ -58,18 +87,4 @@
 
 <br>
-
-【ご注文内容】<br>
-<!--{section name=cnt loop=$arrProductsClass}-->
-<!--{$arrProductsClass[cnt].name}--> <!--{$arrProductsClass[cnt].quantity|number_format}--><br>
-<!--{/section}-->
-
-<br>
-
-【購入金額】<br>
-商品合計：<!--{$tpl_total_inctax|number_format}--><br>
-送料：<!--{$arrData.deliv_fee|number_format}--><br>
-<!--{if $arrData.charge > 0}-->手数料：<!--{$arrData.charge|number_format}--><br><!--{/if}-->
-合計：<!--{$arrData.payment_total|number_format}--><br>
-(内消費税：<!--{$arrData.tax|number_format}-->)<br>
 
 <br>