Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 19891)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 19917)
@@ -61,7 +61,14 @@
 <center><input type="submit" value="新規登録"></center>
 </form>
-<!--▲CONTENTS-->
 
 <br>
+
+■お届け先を複数指定する<br>
+<form method="post" action="?">
+<input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
+<input type="hidden" name="mode" value="multiple">
+<center><input type="submit" value="複数お届け先"></center>
+</form>
+
 <hr>
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/multiple.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 19917)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 19917)
@@ -0,0 +1,77 @@
+<!--{*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ *}-->
+<center><!--{$tpl_title|h}--></center>
+
+<hr>
+
+各商品のお届け先を選択してください。<br>
+<br>
+
+<form method="post" action="?">
+<input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->">
+<input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
+<input type="hidden" name="mode" value="confirm">
+<!--{foreach from=$items item=item name=cartItem}-->
+<!--{assign var=index value=$smarty.foreach.cartItem.index}-->
+<input type="hidden" name="cart_no<!--{$index}-->" value="<!--{$index}-->" />
+<input type="hidden" name="product_class_id<!--{$index}-->" value="<!--{$item.product_class_id}-->" />
+
+<!--{* 商品名 *}--><!--{$item.name|h}--><br>
+<!--{* 規格名1 *}--><!--{if $item.classcategory_name1 != ""}--><!--{$item.class_name1}-->：<!--{$item.classcategory_name1}--><br><!--{/if}-->
+<!--{* 規格名2 *}--><!--{if $item.classcategory_name2 != ""}--><!--{$item.class_name2}-->：<!--{$item.classcategory_name2}--><br><!--{/if}-->
+<!--{* 販売価格 *}-->
+<!--{$item.price02|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円<br>
+<!--{assign var=key value="quantity`$index`"}-->
+数量：<input type="text" name="<!--{$key}-->" value="<!--{$arrForm[$key].value}-->" size="4" />
+<br>
+<!--{assign var=key value="shipping`$index`"}-->
+お届け先：<br>
+<select name="<!--{$key}-->"><!--{html_options options=$addrs selected=$arrForm[$key].value}--></select>
+<br>
+<hr>
+<!--{/foreach}-->
+
+<center><input type="submit" value="選択したお届け先に送る"></center>
+</form>
+
+<!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+<form method="post" action="<!--{$smarty.const.URL_PATH}-->mypage/delivery_addr.php">
+    <input type="hidden" name="ParentPage" value="<!--{$smarty.const.MULTIPLE_URL_PATH}-->">
+    一覧にご希望の住所が無い場合は、お届け先を新規登録してください。<br>
+    <center><input type="submit" value="新規登録"></center>
+    ※最大<!--{$smarty.const.DELIV_ADDR_MAX|h}-->件まで登録できます。<br>
+</form>
+<!--{/if}-->
+
+<form action="<!--{$smarty.const.SHOPPING_URL}-->" method="get">
+<center><input type="submit" name="return" value="戻る"></center>
+</form>
+<hr>
+
+<a href="<!--{$smarty.const.MOBILE_CART_URL_PATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
+<a href="<!--{$smarty.const.MOBILE_TOP_URL_PATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
+
+<br>
+
+<!-- ▼フッター ここから -->
+<!--{include file='footer.tpl'}-->
+<!-- ▲フッター ここまで -->
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 19915)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 19917)
@@ -73,29 +73,30 @@
 <!--{* 販売方法判定（ダウンロード販売のみの場合はお届け先を表示しない） *}-->
 <!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+【お届け先】<br>
 <!--{foreach item=shippingItem from=$shipping name=shippingItem}-->
-【お届け先】<br>
-<!--{if $isMultiple}--><!--{* 複数お届け先の表示 *}-->
-<!--{foreach item=item from=$shippingItem.shipment_item}-->
-▼お届け先<!--{if $isMultiple}--><!--{$smarty.foreach.shippingItem.iteration}--><!--{/if}--><br>
-<!--{$item.productsClass.name|h}--><br>
-<!--{if $item.productsClass.classcategory_name1 != ""}--><!--{$item.productsClass.class_name1}-->：<!--{$item.productsClass.classcategory_name1}--><br><!--{/if}-->
-<!--{if $item.productsClass.classcategory_name2 != ""}--><!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--><br><!--{/if}-->
-数量：<!--{$item.quantity}--><br>
-<!--{/foreach}-->
+<!--{if $isMultiple}-->
+    ▼お届け先<!--{$smarty.foreach.shippingItem.iteration}--><br>
+    <!--{* 複数お届け先の場合、お届け先毎の商品を表示 *}-->
+    <!--{foreach item=item from=$shippingItem.shipment_item}-->
+    <!--{$item.productsClass.name|h}--><br>
+    <!--{if $item.productsClass.classcategory_name1 != ""}--><!--{$item.productsClass.class_name1}-->：<!--{$item.productsClass.classcategory_name1}--><br><!--{/if}-->
+    <!--{if $item.productsClass.classcategory_name2 != ""}--><!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--><br><!--{/if}-->
+    &nbsp;数量：<!--{$item.quantity}--><br>
+    <br>
+    <!--{/foreach}-->
 <!--{/if}-->
 
-<!--{$shippingItem.shipping_name01|h}--> <!--{$shippingItem.shipping_name02|h}--><br>
 〒<!--{$shippingItem.shipping_zip01|h}-->-<!--{$shippingItem.shipping_zip02|h}--><br>
 <!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01|h}--><!--{$shippingItem.shipping_addr02|h}--><br>
+<!--{$shippingItem.shipping_name01|h}--> <!--{$shippingItem.shipping_name02|h}--><br>
 <!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--><br>
-<!--{/foreach}-->
 
 <br>
 
-【お届け日時指定】<br>
-日：<!--{$shippingItem.deliv_date|default:"指定なし"|h}--><br>
-時間：<!--{$shippingItem.deliv_time|default:"指定なし"|h}--><br>
+お届け日：<!--{$shippingItem.deliv_date|default:"指定なし"|h}--><br>
+お届け時間：<!--{$shippingItem.deliv_time|default:"指定なし"|h}--><br>
 
-<br>
+<hr>
+<!--{/foreach}-->
 <!--{/if}-->
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl	(revision 19915)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl	(revision 19917)
@@ -41,30 +41,37 @@
 <br>
 
-■お届け日<br>
-<!--{assign var=key value="deliv_date"}-->
-<!--{if $arrErr[$key] != ""}-->
-<font color="#FF0000"><!--{$arrErr[$key]}--></font>
+<!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+■お届け時間の指定<br>
+<!--{foreach item=shippingItem name=shippingItem from=$shipping}-->
+<!--{assign var=index value=$smarty.foreach.shippingItem.index}-->
+<!--{if $isMultiple}-->
+▼お届け先<!--{$smarty.foreach.shippingItem.iteration}--><br>
+<!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01}--><!--{$shippingItem.shipping_addr02}--><br>
+<!--{$shippingItem.shipping_name01}--><!--{$shippingItem.shipping_name02}--><br>
 <!--{/if}-->
-<!--{if $arrDelivDate}-->
+<!--★お届け日★-->
+<!--{assign var=key value="deliv_date`$index`"}-->
+<!--{if $arrErr[$key] != ""}--><font color="#FF0000"><!--{$arrErr[$key]}--></font><!--{/if}-->
+お届け日：
+<!--{if !$arrDelivDate}-->
+ご指定頂けません。
+<!--{else}-->
 <select name="<!--{$key}-->">
 <option value="">指定なし</option>
 <!--{html_options options=$arrDelivDate selected=$arrForm[$key].value}-->
 </select>
-<!--{else}-->
-ご指定頂けません。
 <!--{/if}-->
 <br>
-<br>
-
-■お届け時間<br>
-<!--{assign var=key value="deliv_time_id"}-->
-<!--{if $arrErr[$key] != ""}-->
-<font color="#FF0000"><!--{$arrErr[$key]}--></font>
-<!--{/if}-->
+<!--★お届け時間★-->
+<!--{assign var=key value="deliv_time_id`$index`"}-->
+<!--{if $arrErr[$key] != ""}--><font color="#FF0000"><!--{$arrErr[$key]}--></font><!--{/if}-->
+お届け時間：
 <select name="<!--{$key}-->">
 <option value="">指定なし</option>
 <!--{html_options options=$arrDelivTime selected=$arrForm[$key].value}-->
 </select>
-<br>
+<hr>
+<!--{/foreach}-->
+<!--{/if}-->
 <br>
 