Index: /branches/version-2_5-dev/html/install/index.php
===================================================================
--- /branches/version-2_5-dev/html/install/index.php	(revision 19937)
+++ /branches/version-2_5-dev/html/install/index.php	(revision 19938)
@@ -30,5 +30,5 @@
 // ▲require.php 相当
 
-$INSTALL_DIR = realpath(dirname( __FILE__));
+$ownDir = realpath(dirname(__FILE__)) . '/';
 require_once(DATA_REALDIR . "module/Request.php");
 
@@ -53,5 +53,5 @@
 
 // テンプレートコンパイルディレクトリの書込み権限チェック
-$temp_dir = $INSTALL_DIR . '/temp';
+$temp_dir = $ownDir . 'temp';
 
 if(!is_writable($temp_dir)) {
@@ -60,5 +60,5 @@
 }
 
-$objView = new SC_InstallView($INSTALL_DIR . '/templates', $INSTALL_DIR . '/temp');
+$objView = new SC_InstallView($ownDir . 'templates', $ownDir . 'temp');
 
 // パラメータ管理クラス
Index: /branches/version-2_5-dev/data/class/SC_View.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_View.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/SC_View.php	(revision 19938)
@@ -22,7 +22,6 @@
  */
 
-$SC_VIEW_PHP_DIR = realpath(dirname(__FILE__));
-require_once($SC_VIEW_PHP_DIR . "/../module/Smarty/libs/Smarty.class.php");
-//require_once(CLASS_EX_REALDIR . "util_extends/SC_Utils_Ex.php");
+$viewDir = realpath(dirname(__FILE__)) . '/'; // XXX グローバル変数として流用あり
+require_once $viewDir . '../module/Smarty/libs/Smarty.class.php';
 
 class SC_View {
@@ -33,5 +32,5 @@
     // コンストラクタ
     function SC_View($siteinfo = true) {
-        global $SC_VIEW_PHP_DIR;
+        global $viewDir;
 
         $this->_smarty = new Smarty;
@@ -52,5 +51,5 @@
         $this->_smarty->register_modifier("sfRmDupSlash", array("SC_Utils_Ex", "sfRmDupSlash"));
         $this->_smarty->register_modifier("sfCutString", array("SC_Utils_Ex", "sfCutString"));
-        $this->_smarty->plugins_dir=array("plugins", $SC_VIEW_PHP_DIR . "/../smarty_extends");
+        $this->_smarty->plugins_dir=array("plugins", $viewDir . "../smarty_extends");
         $this->_smarty->register_modifier("sf_mb_convert_encoding", array("SC_Utils_Ex", "sf_mb_convert_encoding"));
         $this->_smarty->register_modifier("sfGetEnabled", array("SC_Utils_Ex", "sfGetEnabled"));
@@ -162,7 +161,7 @@
     /* サイト初期設定 */
     function initpath() {
-        global $SC_VIEW_PHP_DIR;
-
-        $array['tpl_mainnavi'] = $SC_VIEW_PHP_DIR . '/../Smarty/templates/frontparts/mainnavi.tpl';
+        global $viewDir;
+
+        $array['tpl_mainnavi'] = $viewDir . '../Smarty/templates/frontparts/mainnavi.tpl';
 
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_5-dev/data/class/graph/SC_GraphLine.php
===================================================================
--- /branches/version-2_5-dev/data/class/graph/SC_GraphLine.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/graph/SC_GraphLine.php	(revision 19938)
@@ -21,6 +21,7 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
-$SC_GRAPHLINE_DIR = realpath(dirname( __FILE__));
-require_once($SC_GRAPHLINE_DIR . "/SC_GraphBase.php");
+
+$ownDir = realpath(dirname(__FILE__)) . '/';
+require_once $ownDir . 'SC_GraphBase.php';
 
 // 折れ線グラフ生成クラス
Index: /branches/version-2_5-dev/data/class/graph/SC_GraphPie.php
===================================================================
--- /branches/version-2_5-dev/data/class/graph/SC_GraphPie.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/graph/SC_GraphPie.php	(revision 19938)
@@ -21,6 +21,7 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
-$SC_GRAPHPIE_DIR = realpath(dirname( __FILE__));
-require_once($SC_GRAPHPIE_DIR . "/SC_GraphBase.php");
+
+$ownDir = realpath(dirname(__FILE__)) . '/';
+require_once $ownDir . 'SC_GraphBase.php';
 
 // 円グラフ生成クラス
Index: /branches/version-2_5-dev/data/class/graph/SC_GraphBar.php
===================================================================
--- /branches/version-2_5-dev/data/class/graph/SC_GraphBar.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/graph/SC_GraphBar.php	(revision 19938)
@@ -21,6 +21,7 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
-$SC_GRAPHBAR_DIR = realpath(dirname( __FILE__));
-require_once($SC_GRAPHBAR_DIR . "/SC_GraphLine.php");
+
+$ownDir = realpath(dirname(__FILE__)) . '/';
+require_once $ownDir . 'SC_GraphLine.php';
 
 // 棒グラフ生成クラス
Index: /branches/version-2_5-dev/data/class/SC_UploadFile.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_UploadFile.php	(revision 19660)
+++ /branches/version-2_5-dev/data/class/SC_UploadFile.php	(revision 19938)
@@ -22,6 +22,6 @@
  */
 
-$SC_UPLOADFILE_DIR = realpath(dirname( __FILE__));
-require_once($SC_UPLOADFILE_DIR . "/../module/gdthumb.php");
+$ownDir = realpath(dirname(__FILE__)) . '/';
+require_once $ownDir . '../module/gdthumb.php';
 
 /* アップロードファイル管理クラス */