Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 19943)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 19960)
@@ -225,56 +225,4 @@
         if(Net_UserAgent_Mobile::isMobile() === true) {
             $this->tpl_valid_phone_id = $objCustomer->checkMobilePhoneId();
-        }
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        $objView = new SC_MobileView();
-        $objSiteSess = new SC_SiteSession();
-        $objCartSess = new SC_CartSession();
-        $objCustomer = new SC_Customer();
-        $objCookie = new SC_Cookie();
-        $this->objFormParam = new SC_FormParam();            // フォーム用
-        $helperMobile = new SC_Helper_Mobile_Ex();
-        $objDb = new SC_Helper_DB_Ex();
-        $this->lfInitParam();                                // パラメータ情報の初期化
-        $this->objFormParam->setParam($_POST);            // POST値の取得
-
-        // ユーザユニークIDの取得と購入状態の正当性をチェック
-        $uniqid = SC_Utils_Ex::sfCheckNormalAccess($objSiteSess, $objCartSess);
-
-        $this->tpl_uniqid = $uniqid;
-
-        //ダウンロード商品判定
-        $this->cartdown = $objDb->chkCartDown($objCartSess);
-
-        // ログインチェック
-        if($objCustomer->isLoginSuccess(true)) {
-            // すでにログインされている場合
-            if ($this->cartdown == 2) {
-                // 会員情報の住所を受注一時テーブルに書き込む
-                $objDb->sfRegistDelivData($uniqid, $objCustomer);
-                // 正常に登録されたことを記録しておく
-                $objSiteSess->setRegistFlag();
-                //カート内が全てダウンロード商品の場合は支払方法設定画面に転送
-                SC_Response_Ex::sendRedirect('payment.php');
-            } else {
-                // お届け先設定画面に転送
-                SC_Response_Ex::sendRedirect('deliv.php');
-            }
-            exit;
-        }
-
-        // 携帯端末IDが一致する会員が存在するかどうかをチェックする。
-        $this->tpl_valid_phone_id = $objCustomer->checkMobilePhoneId();
-
-        // クッキー判定
-        $this->tpl_login_email = $objCookie->getCookie('login_email');
-        if($this->tpl_login_email != "") {
-            $this->tpl_login_memory = "1";
         }
     }
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19943)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19960)
@@ -172,92 +172,4 @@
 
     /**
-     * Page のアクション(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        $objView = new SC_MobileView();
-        $objCartSess = new SC_CartSession();
-        $objSiteInfo = $objView->objSiteInfo;
-        $objSiteSess = new SC_SiteSession();
-        $objCustomer = new SC_Customer();
-        $objQuery = new SC_Query();
-        $objDb = new SC_Helper_DB_Ex();
-
-        // 前のページで正しく登録手続きが行われた記録があるか判定
-        SC_Utils_Ex::sfIsPrePage($objSiteSess);
-
-        // ユーザユニークIDの取得と購入状態の正当性をチェック
-        $uniqid = SC_Utils_Ex::sfCheckNormalAccess($objSiteSess, $objCartSess);
-        $this->tpl_uniqid = $uniqid;
-
-        //ダウンロード商品判定
-        $this->cartdown = $objDb->chkCartDown($objCartSess);
-
-        // カート集計処理
-        $objDb->sfTotalCart($this, $objCartSess);
-        if (strlen($this->tpl_message) >= 1) {
-            SC_Utils_Ex::sfDispSiteError(SOLD_OUT, '', true);
-        }
-        // 一時受注テーブルの読込
-        $arrData = $objDb->sfGetOrderTemp($uniqid);
-        // カート集計を元に最終計算
-        $arrData = $objDb->sfTotalConfirm($arrData, $this, $objCartSess, null, $objCustomer);
-
-        // 会員ログインチェック
-        if($objCustomer->isLoginSuccess(true)) {
-            $this->tpl_login = '1';
-            $this->tpl_user_point = $objCustomer->getValue('point');
-        }
-
-        // 決済区分を取得する
-        $payment_type = "";
-        if($objDb->sfColumnExists("dtb_payment", "memo01")){
-            // MEMO03に値が入っている場合には、モジュール追加されたものとみなす
-            $sql = "SELECT memo03 FROM dtb_payment WHERE payment_id = ?";
-            $arrPayment = $objQuery->getAll($sql, array($arrData['payment_id']));
-            $payment_type = $arrPayment[0]["memo03"];
-        }
-        $this->payment_type = $payment_type;
-
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        switch($_POST['mode']) {
-            // 前のページに戻る
-        case 'return':
-            // 正常な推移であることを記録しておく
-            $objSiteSess->setRegistFlag();
-            SC_Response_Ex::sendRedirect(MOBILE_SHOPPING_PAYMENT_URLPATH);
-            exit;
-            break;
-        case 'confirm':
-            // この時点で注文番号を確保しておく（クレジット、コンビニ決済で必要なため）
-            $arrData["order_id"] = $objQuery->nextVal("dtb_order_order_id");
-
-            // セッション情報を保持
-            $arrData['session'] = serialize($_SESSION);
-
-            // 集計結果を受注一時テーブルに反映
-            $objDb->sfRegistTempOrder($uniqid, $arrData);
-            // 正常に登録されたことを記録しておく
-            $objSiteSess->setRegistFlag();
-
-            // 決済方法により画面切替
-            if($payment_type != "") {
-                $_SESSION["payment_id"] = $arrData['payment_id'];
-                SC_Response_Ex::sendRedirect(MOBILE_SHOPPING_MODULE_URLPATH);
-            }else{
-                SC_Response_Ex::sendRedirect(MOBILE_SHOPPING_COMPLETE_URLPATH);
-            }
-            exit;
-            break;
-        default:
-            break;
-        }
-        $this->arrData = $arrData;
-        $this->arrInfo = $objSiteInfo->data;
-    }
-
-    /**
      * デストラクタ.
      *